Subject: [Doh] Protocol Action: 'DNS Queries over HTTPS (DoH)' to Proposed Standard (draft-ietf-doh-dns-over-https-14.txt)

From: The IESG <[email-masked]>
Date: Mon, 20 Aug 2018 09:34:21 -0700

The IESG has approved the following document:
- 'DNS Queries over HTTPS (DoH)'
  (draft-ietf-doh-dns-over-https-14.txt) as Proposed Standard

This document is the product of the DNS Over HTTPS Working Group.

The IESG contact persons are Adam Roach, Alexey Melnikov and Ben Campbell.

A URL of this Internet Draft is:
https://datatracker.ietf.org/doc/draft-ietf-doh-dns-over-https/

Technical Summary

  This document defines a protocol for performing DNS Queries over an HTTPS
  connection.  This protocol offers similar security benefits to DNS-over-TLS
  (RFC 7858), and also allows integration with HTTP-based systems and
  services.

Working Group Summary

  The document has been reviewed thoroughly within the working group,
  including extensive commentary by noted standards experts and large-scale
  implementors in DNS and HTTP.

Document Quality

  Implementation has begun, with a large-scale deployment by Cloudflare,
  experiments by Mozilla and Google, and many independent implementations:
  doh-proxy (an IETF hackathon output), Go DNS, dnscrypt-proxy,
  doh-php-client, jDnsProxy, rust-doh, and dns-over-https.  The maintainers of
  Stubby, CURL, and PowerDNS’s dnsdist have developed working prototypes.

  This draft has a single IANA consideration (defining the
  “application/dns-message” media type).  There has been extensive review of
  this media type.

Personnel

  The document shepherd is Benjamin Schwartz <[email-masked]> 
  The responsible area director is Adam Roach <[email-masked]>

---

From: Star Brilliant <[email-masked]>
Date: Mon, 20 Aug 2018 17:38:49 +0000

> https://datatracker.ietf.org/doc/draft-ietf-doh-dns-over-https/

Hi,

Glad to hear the approval!

By the way, Paul, do you plan to fix the spelling and grammatical issues that I mentioned in my previous mail? I am not sure if we might miss the chance.

Best regards,
Star Brilliant

On Fri, Aug 17, 2018 at 4:22 AM Star Brilliant <[email-masked]> wrote:
>
>
> On Page 6, Paragraph 2, Section 4.2:
>
> [...] The amount and type of information that a media type gives is solely up to the format, and not defined in this protocol.
>
> s/is/are/
>
>
>
> On Page 8, Paragraph 3, Section 5.1:
>
> [...] This requirement helps prevent exipred RRsets in messages in an HTTP cache from unintentionally being served.
>
> s/exipred/expired/
>
>
>
> On Page 4, Paragraph 5, Section 4.1:
>
> [...] When using the POST method the DNS query is included as the message body [...]
>
> (Minor issue) I suggest a comma (,) followed by "method". But okay if keep untouched.

---

From: "Paul Hoffman" <[email-masked]>
Date: Mon, 20 Aug 2018 11:37:03 -0700

(Removing the people who don't need to see the answer to this question)

On 20 Aug 2018, at 10:38, Star Brilliant wrote:

> By the way, Paul, do you plan to fix the spelling and grammatical 
> issues that I mentioned in my previous mail? I am not sure if we might 
> miss the chance.

We will not "miss the chance" because the RFC Editor will fix those 
during their review.

--Paul Hoffman

---

From: Dave Lawrence <[email-masked]>
Date: Mon, 20 Aug 2018 14:29:08 -0400

Star Brilliant writes:
> issues that I mentioned in my previous mail? I am not sure if we
> might miss the chance. 

There's a final stage at the RFC Editor where that can be handled.